Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   ArchLinux Pacman Development (http://www.linux-archive.org/archlinux-pacman-development/)
-   -   We have some eerily similar messages, should we fix now or later? (http://www.linux-archive.org/archlinux-pacman-development/495495-we-have-some-eerily-similar-messages-should-we-fix-now-later.html)

Dan McGee 02-28-2011 10:12 PM

We have some eerily similar messages, should we fix now or later?
 
Everyone,

Xavier and I noticed when walking through the translations tonight
that we haven't done the greatest job keep our workload down here.
There are a lot of messages that differ by punctuation only, or
contain a hardcoded path vs. another one with a '%s', etc.

I hacked together a quick script to find some of these awesome
mistakes. The script is attached (and instructions if you want to run
it locally are roughly in the top, it requires the python-Levenshtein
module), the results are pasted below from both of our pot files.
Should we try and fix some of this mess right now while we are waiting
on translations? For most people it should not increase your workload
as we will be reducing the number of translations and not be adding
more than a handful of new ones (that can be based off of the existing
ones if necessary).

-Dan

dmcgee@galway ~/projects/pacman (master)
$ ./similar-messages.py lib/libalpm/po/libalpm.pot
Read 136 messages
Found 36 similar messages
0.815:
could not change directory to %s (%s)

could not change the root directory (%s)


0.815:
could not open file %s: %s

could not open pipe (%s)


0.815:
invalid or corrupted package
invalid or corrupted delta

0.816:
could not open %s: %s

could not open pipe (%s)


0.821:
unexpected system error
unexpected error

0.824:
could not create directory %s: %s

could not create temp directory


0.825:
could not change the root directory (%s)

could not change directory to / (%s)


0.828:
removing invalid database: %s

removing invalid file: %s


0.828:
transaction already initialized
transaction not initialized

0.829:
%s-%s is up to date -- skipping

%s-%s is up to date -- reinstalling


0.833:
%s saved as %s

%s installed as %s


0.833:
could not open database
could not create database

0.833:
could not find database
could not update database

0.838:
could not change directory to %s (%s)

could not create directory %s: %s


0.842:
could not find or read file
could not find or read package

0.847:
missing package name in %s

missing package version in %s


0.847:
could not find or read file
could not find or read directory

0.852:
could not create pipe (%s)

could not open pipe (%s)


0.853:
failed to retrieve some files
failed to retrieve some files from %s


0.853:
problem occurred while upgrading %s

problem occurred while installing %s


0.857:
duplicated database entry '%s'

corrupted database entry '%s'


0.867:
missing package name in %s

missing package metadata in %s


0.870:
could not open database
could not find database

0.872:
could not update database entry %s-%s

could not remove database entry %s-%s


0.874:
could not get filesystem information

could not get filesystem information for %s: %s


0.875:
could not open database
could not update database

0.880:
could not create database
could not update database

0.882:
could not commit removal transaction

could not commit transaction


0.886:
could not remove database entry
could not remove database entry %s-%s


0.902:
could not open file %s: %s

could not open %s: %s


0.924:
%s database is inconsistent: name mismatch on package %s

%s database is inconsistent: version mismatch on package %s


0.929:
%s: ignoring package upgrade (%s => %s)

%s: ignoring package downgrade (%s => %s)


0.937:
failed retrieving file '%s' from %s : %s

failed retrieving file '%s' from %s


0.961:
could not change directory to %s (%s)

could not change directory to / (%s)


0.962:
warning given when extracting %s (%s)

warning given while extracting %s (%s)


0.963:
not enough free disk space
not enough free disk space



dmcgee@galway ~/projects/pacman (master)
$ ./similar-messages.py po/pacman.pot
Read 487 messages
Found 107 similar messages
0.803:
Usage: repo-add [-d] [-f] [-q] <path-to-db> <package|delta> ...

Usage: repo-remove [-q] <path-to-db> <packagename|delta> ...



0.806:
group "%s" was not found

repository "%s" was not found.


0.807:
The source directory is empty, there is nothing to build!
The package directory is empty, there is nothing to repackage!

0.808:
%s file (%s) does not exist.
File '%s' does not exist

0.809:
--asdeps mark packages as non-explicitly installed

--asexplicit install packages as explicitly installed


0.809:
--asexplicit mark packages as explicitly installed

--asdeps install packages as non-explicitly installed


0.810:
%s does not exist.
File '%s' does not exist

0.810:
-i, --info view package information (-ii for backup files)

-i, --info view package information


0.812:
problem setting dbpath '%s' (%s)

problem setting logfile '%s' (%s)


0.812:
Total Download Size: %.2f MB

Total Removed Size: %.2f MB


0.812:
Total Installed Size: %.2f MB

Total Removed Size: %.2f MB


0.815:
package "%s" not found

package '%s' was not found


0.817:
failed to prepare transaction (%s)

failed to commit transaction (%s)


0.817:
failed to commit transaction (%s)

failed to release transaction (%s)


0.817:
removing old packages from cache...

removing all files from cache...


0.818:
operation
operations:


0.818:
--config <path> set an alternate configuration file

--logfile <path> set an alternate log file


0.818:
Total Download Size: %.2f MB

Total Installed Size: %.2f MB


0.821:
%s is not allowed to start with a hyphen.
%s is not allowed to contain hyphens.

0.821:
Copyright (c) 2010-2011 Pacman Development Team
<pacman-dev@archlinux.org>.
This is free software; see the source
for copying conditions.
There is NO WARRANTY, to the extent
permitted by law.

Copyright (c) 2009 Xavier Chantry <shiningxc@gmail.com>.

This is
free software; see the source for copying conditions.
There is NO
WARRANTY, to the extent permitted by law.


0.821:
Searching for delta '%s'...
Searching for package '%s'...

0.825:
:: %s and %s are in conflict (%s). Remove %s?
:: %s and %s are in conflict (%s)


0.826:
target not found: %s

database not found: %s


0.827:
:: %s and %s are in conflict. Remove %s?
:: %s and %s are in conflict (%s)


0.828:
Adding %s file...
Adding %s...

0.829:
Creating package...
Compressing package...

0.829:
Tar'ing up %s failed.
Untar'ing %s failed.

0.830:
checking dependencies...

resolving dependencies...


0.831:
no install reason specified (use -h for help)

no operation specified (use -h for help)


0.833:
checking package integrity...

checking delta integrity...


0.838:
could not access database directory

could not access cache directory %s


0.839:
Delta matching '%s' not found.
Package matching '%s' not found.

0.841:
problem setting rootdir '%s' (%s)

problem setting dbpath '%s' (%s)


0.841:
failed to prepare transaction (%s)

failed to init transaction (%s)


0.841:
failed to init transaction (%s)

failed to release transaction (%s)


0.841:
Copyright (c) 2006-2011 Pacman Development Team
<pacman-dev@archlinux.org>.
Copyright (C) 2002-2006 Judd Vinet
<jvinet@zeroflux.org>.

This is free software; see the source for
copying conditions.
There is NO WARRANTY, to the extent permitted by
law.

Copyright (C) 2006-2008 Aaron Griffin
<aaron@archlinux.org>.
Copyright (c) 2007-2008 Dan McGee
<dan@archlinux.org>.

This is free software; see the source for
copying conditions.
There is NO WARRANTY, to the extent permitted by
law.


0.844:
Creating package...
Creating source package...

0.845:
Failed to create package file.
Failed to create symlink to package file.

0.846:
Failed to create symlink to package file.
Failed to create source package file.

0.852:
Leaving fakeroot environment.
Entering fakeroot environment...

0.854:
no targets specified (use -h for help)

no operation specified (use -h for help)


0.857:
problem setting rootdir '%s' (%s)

problem setting logfile '%s' (%s)


0.857:
A package has already been built. (use -f to overwrite)
Part of the package group has already been built. (use -f to overwrite)

0.857:
Part of the package group has already been built. (use -f to overwrite)
A source package has already been built. (use -f to overwrite)

0.858:
Copyright (c) 2006-2011 Pacman Development Team
<pacman-dev@archlinux.org>.
Copyright (C) 2002-2006 Judd Vinet
<jvinet@zeroflux.org>.

This is free software; see the source for
copying conditions.
There is NO WARRANTY, to the extent permitted by
law.

Copyright (c) 2010-2011 Pacman Development Team
<pacman-dev@archlinux.org>.
This is free software; see the source
for copying conditions.
There is NO WARRANTY, to the extent
permitted by law.


0.862:
Creating 'depends' db entry...
Creating 'files' db entry...

0.863:
Compressing package...
Compressing source package...

0.868:
Installing package %s with %s -U...
Installing %s package group with %s -U...

0.870:
-d, --nodeps skip dependency checks

-d, --nodeps Skip all dependency checks

0.870:
Invalid package '%s'
Invalid package file '%s'.

0.871:
Failed to create source package file.
Failed to create symlink to source package file.

0.872:
Adding %s file...
Adding %s file (%s)...

0.873:
Creating source package...
Compressing source package...

0.874:
no targets specified (use -h for help)

no install reason specified (use -h for help)


0.875:
--asdeps mark packages as non-explicitly installed

--asexplicit mark packages as explicitly installed


0.875:
error: %s
error:

0.878:
The package names don't match : '%s' and '%s'
The package architectures don't match : '%s' and '%s'

0.880:
The package group has already been built. (use -f to overwrite)
A source package has already been built. (use -f to overwrite)

0.881:
--asdeps install packages as non-explicitly installed

--asexplicit install packages as explicitly installed


0.881:
%s is not allowed to contain colons or hyphens.
%s is not allowed to contain hyphens.

0.883:
--allsource Generate a source-only tarball including downloaded sources
--source Generate a source-only tarball without downloaded sources

0.886:
Determining latest darcs revision...
Determining latest git revision...

0.887:
You do not have write permission to store packages in %s.
You do not have write permission to store downloads in %s.

0.889:
downloading %s...

Downloading %s...

0.892:
'%s' is not a valid archive extension.
'%s' does not have a valid archive extension.

0.896:
Failed to create package file.
Failed to create source package file.

0.899:
Determining latest darcs revision...
Determining latest hg revision...

0.900:
warning: %s
warning:

0.900:
Skipping source retrieval -- using existing src/ tree
Skipping source extraction -- using existing src/ tree

0.906:
You must have correct permissions to upgrade the database.
You must have correct permissions to optimize the database.

0.906:
New optional dependencies for %s

Optional dependencies for %s


0.909:
function: %s
function:

0.909:
Checking runtime dependencies...
Checking buildtime dependencies...

0.909:
Creating 'desc' db entry...
Creating 'files' db entry...

0.912:
failed to commit transaction (%s)

failed to init transaction (%s)


0.912:
Determining latest cvs revision...
Determining latest git revision...

0.912:
Determining latest cvs revision...
Determining latest bzr revision...

0.912:
Determining latest git revision...
Determining latest svn revision...

0.912:
Determining latest git revision...
Determining latest bzr revision...

0.912:
Determining latest svn revision...
Determining latest bzr revision...

0.912:
checking package integrity...

checking package integrity

0.912:
Creating 'desc' db entry...
Creating 'depends' db entry...

0.914:
Determining latest darcs revision...
Determining latest svn revision...

0.914:
Determining latest darcs revision...
Determining latest bzr revision...

0.915:
checking for file conflicts...

checking for file conflicts

0.915:
A package has already been built. (use -f to overwrite)
The package group has already been built. (use -f to overwrite)

0.917:
failed to prepare transaction (%s)

failed to release transaction (%s)


0.920:
A package has already been built, installing existing package...
The package group has already been built, installing existing packages...

0.920:
--check Run the check() function in the %s
--nocheck Do not run the check() function in the %s

0.921:
checking available disk space...

checking available disk space

0.921:
Failed to create symlink to package file.
Failed to create symlink to source package file.

0.923:
:: %s and %s are in conflict

:: %s and %s are in conflict (%s)


0.925:
Determining latest cvs revision...
Determining latest hg revision...

0.925:
Determining latest svn revision...
Determining latest hg revision...

0.925:
Determining latest bzr revision...
Determining latest hg revision...

0.925:
The package group has already been built. (use -f to overwrite)
Part of the package group has already been built. (use -f to overwrite)

0.927:
ERROR: Can not create temp directory for database building.
Cannot create temp directory for database building.

0.929:
--asexplicit mark packages as explicitly installed

--asexplicit install packages as explicitly installed


0.933:
--asdeps mark packages as non-explicitly installed

--asdeps install packages as non-explicitly installed


0.933:
invalid option

invalid option

0.940:
A package has already been built. (use -f to overwrite)
A source package has already been built. (use -f to overwrite)

0.941:
:: %s and %s are in conflict. Remove %s?
:: %s and %s are in conflict (%s). Remove %s?

0.941:
Determining latest cvs revision...
Determining latest svn revision...

0.943:
Determining latest darcs revision...
Determining latest cvs revision...

0.944:
--noprogressbar do not show a progress bar when downloading files

--noprogressbar Do not show a progress bar when downloading files

0.944:
directive '%s' without value not recognized

directive '%s' with a value not recognized


0.955:
Determining latest git revision...
Determining latest hg revision...


All times are GMT. The time now is 12:53 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.